High Court Bench API

High Court Bench API provides the list of available District court Bench and their corresponding Bench names across different locations.

API Details

Request URL

POST
https://api.g99.co.in/api/v1/courtxhc/service/bench
Copied!

Request Body Parameters

Type Name Optional Description
String courtId Required The unique identification number for Court.

Sample Request Payload

request.json
Copied!
{
  "courtId": "4"
}

Request Header Parameters

Type Name Value / Description Optional
String Content-Type application/json Required

Sample Code

request.php
Copied!
$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://api.g99.co.in/api/v1/courtxhc/service/bench',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'POST',
  CURLOPT_POSTFIELDS =>'{
  "courtId": "4"
}',
  CURLOPT_HTTPHEADER => array(
    'Content-Type: application/json'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;
request.py
Copied!
import requests
import json

url = "https://api.g99.co.in/api/v1/courtxhc/service/bench"

payload = json.dumps({
  "courtId": "4"
})
headers = {
  'Content-Type': 'application/json'
}

response = requests.request("POST", url, headers=headers, data=payload)

print(response.text)
request.cs
Copied!
var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Post, "https://api.g99.co.in/api/v1/courtxhc/service/bench");
var content = new StringContent("{\r\n  \"courtId\": \"4\"\r\n}", null, "application/json");
request.Content = content;
var response = await client.SendAsync(request);
response.EnsureSuccessStatusCode();
Console.WriteLine(await response.Content.ReadAsStringAsync());

Response

HTTP status code 200

Key Type Description
benchId String The unique identification number for District.
benchName String Name of District.

Sample Response

Sample response for valid document

response.json
Copied!
[
  {
    "benchId": "1",
    "benchName": "Alappuzha"
  },
  {
    "benchId": "2",
    "benchName": "Ernakulam"
  }
]

Error Response

Parameter Type Description
status Number Unique error codes for different errors. Always available.
message String Error message describing the error. Always Available.
error Boolean True / False for different errors. Always available.

Error Codes

HTTP Status Error Code Error Message
400 4001 Malformed data or missing required parameter values.
500 5001 Request could not be processed. Please try again later.

Sample Error Response

response.json
Copied!
{
  "message": "Malformed data or missing required parameter values.",
  "status": 4001,
  "error": True
}